org.apache.poi.xslf.usermodel

## Class XSLFGraphicFrame

- java.lang.Object
- - org.apache.poi.xslf.usermodel.XSLFShape
  - - org.apache.poi.xslf.usermodel.XSLFGraphicFrame

- All Implemented Interfaces:
    GraphicalFrame<XSLFShape,XSLFTextParagraph>, PlaceableShape<XSLFShape,XSLFTextParagraph>, Shape<XSLFShape,XSLFTextParagraph>
  Direct Known Subclasses:
    XSLFObjectShape, XSLFTable

      @Beta
      public class XSLFGraphicFrame
      extends XSLFShape
      implements GraphicalFrame<XSLFShape,XSLFTextParagraph>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.xslf.usermodel.XSLFShape

      `XSLFShape.ReparseFactory<T extends org.apache.xmlbeans.XmlObject>`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.geom.Rectangle2D` | `getAnchor()` Returns the anchor (the bounding box rectangle) of this shape.
    `XSLFChart` | `getChart()`
    `XSLFPictureShape` | `getFallbackPicture()`
    `boolean` | `getFlipHorizontal()` Whether the shape is horizontally flipped
    `boolean` | `getFlipVertical()` Whether the shape is vertically flipped
    `double` | `getRotation()` Rotation angle in degrees
    `ShapeType` | `getShapeType()`
    `boolean` | `hasChart()`
    `void` | `setAnchor(java.awt.geom.Rectangle2D anchor)`
    `void` | `setFlipHorizontal(boolean flip)`
    `void` | `setFlipVertical(boolean flip)` Whether the shape is vertically flipped
    `void` | `setRotation(double theta)` Rotate this shape.

    - ### Methods inherited from class org.apache.poi.xslf.usermodel.XSLFShape

      `draw, fetchShapeProperty, getBgPr, getBgRef, getChild, getCNvPr, getFillPaint, getGrpSpPr, getParent, getPlaceholder, getPlaceholderDetails, getShapeId, getShapeName, getShapeProperties, getSheet, getSpStyle, getXmlObject, isPlaceholder, selectPaint, selectPaint, selectPaint, selectPaint, selectPaint, selectProperty, selectProperty, setParent, setPlaceholder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.Shape

      `draw, getParent, getShapeId, getShapeName, getSheet`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.PlaceableShape

      `getParent, getSheet`

- - ### Method Detail

    - #### getShapeType

          public ShapeType getShapeType()

    - #### getAnchor

          public java.awt.geom.Rectangle2D getAnchor()

      Description copied from interface: `Shape`
      Returns the anchor (the bounding box rectangle) of this shape. All coordinates are expressed in points (72 dpi).
      Specified by:
        `getAnchor` in interface `PlaceableShape<XSLFShape,XSLFTextParagraph>`
      Specified by:
        `getAnchor` in interface `Shape<XSLFShape,XSLFTextParagraph>`
      Returns:
        the anchor of this shape

    - #### setAnchor

          public void setAnchor(java.awt.geom.Rectangle2D anchor)

      Specified by:
        `setAnchor` in interface `PlaceableShape<XSLFShape,XSLFTextParagraph>`
      Parameters:
        `anchor` - the position of this shape within the drawing canvas. The coordinates are expressed in points

    - #### setRotation

          public void setRotation(double theta)

      Rotate this shape.

      Positive angles are clockwise (i.e., towards the positive y axis); negative angles are counter-clockwise (i.e., towards the negative y axis).

      Specified by:
        `setRotation` in interface `PlaceableShape<XSLFShape,XSLFTextParagraph>`
      Parameters:
        `theta` - the rotation angle in degrees.

    - #### getRotation

          public double getRotation()

      Rotation angle in degrees

      Positive angles are clockwise (i.e., towards the positive y axis); negative angles are counter-clockwise (i.e., towards the negative y axis).

      Specified by:
        `getRotation` in interface `PlaceableShape<XSLFShape,XSLFTextParagraph>`
      Returns:
        rotation angle in degrees

    - #### setFlipHorizontal

          public void setFlipHorizontal(boolean flip)

      Specified by:
        `setFlipHorizontal` in interface `PlaceableShape<XSLFShape,XSLFTextParagraph>`
      Parameters:
        `flip` - whether the shape is horizontally flipped

    - #### setFlipVertical

          public void setFlipVertical(boolean flip)

      Description copied from interface: `PlaceableShape`
      Whether the shape is vertically flipped
      Specified by:
        `setFlipVertical` in interface `PlaceableShape<XSLFShape,XSLFTextParagraph>`
      Parameters:
        `flip` - whether the shape is vertically flipped

    - #### getFlipHorizontal

          public boolean getFlipHorizontal()

      Whether the shape is horizontally flipped
      Specified by:
        `getFlipHorizontal` in interface `PlaceableShape<XSLFShape,XSLFTextParagraph>`
      Returns:
        whether the shape is horizontally flipped

    - #### getFlipVertical

          public boolean getFlipVertical()

      Description copied from interface: `PlaceableShape`
      Whether the shape is vertically flipped
      Specified by:
        `getFlipVertical` in interface `PlaceableShape<XSLFShape,XSLFTextParagraph>`
      Returns:
        whether the shape is vertically flipped

    - #### hasChart

          public boolean hasChart()

    - #### getChart

          public XSLFChart getChart()

    - #### getFallbackPicture

          public XSLFPictureShape getFallbackPicture()

      Specified by:
        `getFallbackPicture` in interface `GraphicalFrame<XSLFShape,XSLFTextParagraph>`
      Returns:
        a fallback representation as picture shape

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.